%define upstream_name    Net-OpenID-Consumer
%define upstream_version 1.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Object representing a verified OpenID identity
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::OpenID::Common) >= 1.190.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
This module provides an implementation of the Yadis protocol, which does
XRDS-based service discovery on URLs.

This module was originally developed by OHTSUKA Ko-hei as the
Net::Yadis::Discovery manpage, but was forked and simplified for inclusion
in the core OpenID Consumer package.

This simplified version is tailored for the needs of Net::OpenID::Consumer;
for other uses, the Net::Yadis::Discovery manpage is probably a better
choice.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.180.0-6.mga10
+ Revision: 2211751
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.180.0-5.mga9
+ Revision: 1830011
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.180.0-4.mga8
+ Revision: 1495983
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.180.0-3.mga7
+ Revision: 1269931
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.180.0-2.mga6
+ Revision: 1031228
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.180.0-1.mga6
+ Revision: 1002261
- update to 1.18

* Sat Feb 20 2016 umeabot <umeabot> 1.160.0-3.mga6
+ Revision: 971630
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 1.160.0-2.mga6
+ Revision: 892146
- BR perl(CGI)

* Tue Jun 23 2015 sander85 <sander85> 1.160.0-1.mga6
+ Revision: 840128
- update to 1.16

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-4.mga5
+ Revision: 745548
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-3.mga5
+ Revision: 685697
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.150.0-2.mga4
+ Revision: 534115
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.150.0-1.mga4
+ Revision: 476288
- update to 1.15

* Fri Jun 07 2013 jquelin <jquelin> 1.140.0-1.mga4
+ Revision: 439638
- update to 1.14

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 370757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 jquelin <jquelin> 1.130.0-1.mga3
+ Revision: 168733
- update to 1.13

* Wed Nov 09 2011 jquelin <jquelin> 1.110.0-1.mga2
+ Revision: 165932
- adding missing buildrequires:
- update to 1.11

* Sun Jan 23 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 34016
- mageia rebuild
- imported package perl-Net-OpenID-Consumer


* Mon Apr 26 2010 Nicolas Vigier <nvigier@mandriva.com> 1.30.0-1mdv2010.1
+ Revision: 539225
- import perl-Net-OpenID-Consumer


* Mon Apr 26 2010 cpan2dist 1.03-1mdv
- initial mdv release, generated with cpan2dist
